Loading...
Searching...
No Matches
casacore::ImageExtension< TYPE > Class Template Reference
fits package (libcasa_fits) » FITS_module

IMAGE extension of given type. More...

`#include <hdu.h>`

## Public Types

typedef TYPE | ElementType

## Public Member Functions

| ImageExtension (FitsInput &, FITSErrorHandler errhandler=FITSError::defaultHandler)
| ImageExtension (FitsKeywordList &, FITSErrorHandler errhandler=FITSError::defaultHandler)
| ImageExtension (FITSErrorHandler errhandler=FITSError::defaultHandler)
| constructor for header consisted required keywords only
| ~ImageExtension ()
char * | xtension ()
char * | extname ()
Int | extver ()
Int | extlevel ()
Int | pcount ()
Int | gcount ()
int | write_imgExt_hdr (FitsOutput &fout, int bitpix, int naxis, long *naxes)
| write required keywords for ImageExtension

## Protected Attributes

char * | xtension_x
char * | extname_x
Int | extver_x
Int | extlevel_x
Int | pcount_x
Int | gcount_x

## Private Member Functions

void | ie_assign ()

## Detailed Description

template<class TYPE>
class casacore::ImageExtension< TYPE >

IMAGE extension of given type.

### Template Type Argument Requirements

- typedef ImageExtension<unsigned char> ByteImageExtension;
- typedef ImageExtension<short> ShortImageExtension;
- typedef ImageExtension<FitsLong> LongImageExtension;
- typedef ImageExtension<float> FloatImageExtension;
- typedef ImageExtension<double> DoubleImageExtension;

Definition at line 513 of file hdu.h.

## Member Typedef Documentation

## ElementType

template<class TYPE>

typedef TYPE casacore::ImageExtension< TYPE >::ElementType

Definition at line 515 of file hdu.h.

## Constructor & Destructor Documentation

## ImageExtension() [1/3]

template<class TYPE>

casacore::ImageExtension< TYPE >::ImageExtension | ( | FitsInput & | ,
|  | FITSErrorHandler | errhandler = FITSError::defaultHandler )

## ImageExtension() [2/3]

template<class TYPE>

casacore::ImageExtension< TYPE >::ImageExtension | ( | FitsKeywordList & | ,
|  | FITSErrorHandler | errhandler = FITSError::defaultHandler )

## ImageExtension() [3/3]

template<class TYPE>

casacore::ImageExtension< TYPE >::ImageExtension | ( | FITSErrorHandler | errhandler = FITSError::defaultHandler | ) |

constructor for header consisted required keywords only

## ~ImageExtension()

template<class TYPE>

casacore::ImageExtension< TYPE >::~ImageExtension | ( |  | ) |

## Member Function Documentation

## extlevel()

template<class TYPE>

Int casacore::ImageExtension< TYPE >::extlevel | ( |  | ) |

inline

Definition at line 528 of file hdu.h.

## extname()

template<class TYPE>

char * casacore::ImageExtension< TYPE >::extname | ( |  | ) |

inline

Definition at line 526 of file hdu.h.

## extver()

template<class TYPE>

Int casacore::ImageExtension< TYPE >::extver | ( |  | ) |

inline

Definition at line 527 of file hdu.h.

## gcount()

template<class TYPE>

Int casacore::ImageExtension< TYPE >::gcount | ( |  | ) |

inline

Definition at line 530 of file hdu.h.

## ie_assign()

template<class TYPE>

void casacore::ImageExtension< TYPE >::ie_assign | ( |  | ) |

private

## pcount()

template<class TYPE>

Int casacore::ImageExtension< TYPE >::pcount | ( |  | ) |

inline

Definition at line 529 of file hdu.h.

## write_imgExt_hdr()

template<class TYPE>

int casacore::ImageExtension< TYPE >::write_imgExt_hdr | ( | FitsOutput & | fout,
|  | int | bitpix,
|  | int | naxis,
|  | long * | naxes )

write required keywords for ImageExtension

## xtension()

template<class TYPE>

char * casacore::ImageExtension< TYPE >::xtension | ( |  | ) |

inline

Definition at line 525 of file hdu.h.

## Member Data Documentation

## extlevel_x

template<class TYPE>

Int casacore::ImageExtension< TYPE >::extlevel_x

protected

Definition at line 538 of file hdu.h.

## extname_x

template<class TYPE>

char* casacore::ImageExtension< TYPE >::extname_x

protected

Definition at line 536 of file hdu.h.

## extver_x

template<class TYPE>

Int casacore::ImageExtension< TYPE >::extver_x

protected

Definition at line 537 of file hdu.h.

## gcount_x

template<class TYPE>

Int casacore::ImageExtension< TYPE >::gcount_x

protected

Definition at line 540 of file hdu.h.

## pcount_x

template<class TYPE>

Int casacore::ImageExtension< TYPE >::pcount_x

protected

Definition at line 539 of file hdu.h.

## xtension_x

template<class TYPE>

char* casacore::ImageExtension< TYPE >::xtension_x

protected

Definition at line 535 of file hdu.h.

The documentation for this class was generated from the following file:

- fits/FITS/hdu.h